Bug 1161775 - No Fedora branding for Cockpit in Fedora 21 Server
Summary: No Fedora branding for Cockpit in Fedora 21 Server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cockpit
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F21FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-11-07 20:50 UTC by Andreas Nilsson
Modified: 2015-05-28 03:32 UTC (History)
5 users (show)

Fixed In Version: cockpit-0.27-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-25 03:06:42 UTC
Type: Bug


Attachments (Terms of Use)
screenshot of login screen branding (44.27 KB, image/png)
2014-11-19 15:38 UTC, Andreas Nilsson
no flags Details
screenshot of top bar branding (23.43 KB, image/png)
2014-11-19 15:39 UTC, Andreas Nilsson
no flags Details
screenshot of login screen branding v2 (36.47 KB, image/png)
2014-11-19 17:23 UTC, Andreas Nilsson
no flags Details
screenshot of top bar branding v2 (35.72 KB, image/png)
2014-11-19 17:24 UTC, Andreas Nilsson
no flags Details
screenshot of top bar branding v3 (64.77 KB, image/png)
2014-11-24 20:19 UTC, Andreas Nilsson
no flags Details

Description Andreas Nilsson 2014-11-07 20:50:52 UTC
Currently when trying to administer a Fedora 21 Server machine it says COCKPIT COCKPIT COCKPIT all over the UI.
That Cockpit is being used to administer Fedora 21 Server is a implementation detail, so all logos containing the name Cockpit needs to be replaced.

Comment 1 Andreas Nilsson 2014-11-19 11:36:06 UTC
Fixed this in a branch here:
https://github.com/andreasn/cockpit/tree/fedora-21-branding

Comment 2 Fedora Blocker Bugs Application 2014-11-19 14:50:52 UTC
Proposed as a Freeze Exception for 21-final by Fedora user sgallagh using the blocker tracking app because:

 Cockpit is very much the public face of Fedora Server. Failing to include Fedora Server branding here would be unfortunate.

Additionally, we want to remove erroneous statements about unsuitability for use (which is no longer true).

Comment 3 Andreas Nilsson 2014-11-19 15:38:42 UTC
Created attachment 959067 [details]
screenshot of login screen branding

Comment 4 Andreas Nilsson 2014-11-19 15:39:14 UTC
Created attachment 959068 [details]
screenshot of top bar branding

Comment 5 Stef Walter 2014-11-19 15:39:23 UTC
So is this ready for me to put into a build?

Comment 6 Andreas Nilsson 2014-11-19 15:43:37 UTC
I think so, yes. It would need some feedback from Ryan Lerch. I'll try and hunt him down on IRC.

Comment 7 Andreas Nilsson 2014-11-19 17:23:35 UTC
Created attachment 959089 [details]
screenshot of login screen branding v2

Comment 8 Andreas Nilsson 2014-11-19 17:24:19 UTC
Created attachment 959090 [details]
screenshot of top bar branding v2

Comment 9 Andreas Nilsson 2014-11-19 17:24:57 UTC
Fixed the branch to address the feedback from Ryan and Stephen.

Comment 10 Mike Ruckman 2014-11-19 17:44:18 UTC
Discussed in 2014-11-19 blocker review meeting. Branding shouldn't bring any problems. Please pull in the fix when it's ready.

Comment 11 Stef Walter 2014-11-19 20:37:27 UTC
Andreas, unfortunately your branch is based on Cockpit master. However the changes need to be made to cockpit 0.27, which is what is in Fedora 21.

In order to do this you should create your branch from the 0.27 tag:

 $ git branch new-fedora-21-branding 0.27
 $ git checkout new-fedora-21-branding
 ... make the changes ...

Comment 12 Andreas Nilsson 2014-11-20 10:25:23 UTC
This one should be based on 0.27. Lets see if that works better: https://github.com/andreasn/cockpit/tree/new-fedora-21-branding

Comment 13 Stef Walter 2014-11-21 10:01:27 UTC
I rebuilt Cockpit with the suggested Fedora server branding. It just says 'SERVER' by itself in a couple places. Is that intentional?

Comment 14 Andreas Nilsson 2014-11-21 10:10:38 UTC
Yes, that is what Ryan suggested on IRC. I had it say "FEDORA SERVER" at some point, but it was not good with the mixed fonts.

This patch will need a UI review from Ryan, to make sure I got it all right in the end.

Comment 15 Stef Walter 2014-11-21 10:11:51 UTC
Well it's being built as a Fedora 21 update now. 

So if there is additional things to change I can do a follow up build. And I really do think the 'SERVER' text should change, especially once logged in, since there's no mention of 'Fedora' anywhere.

Comment 16 Andreas Nilsson 2014-11-21 10:18:02 UTC
I'll prepare the graphics and ask Ryan about it once he comes around later today.

Comment 17 Fedora Update System 2014-11-21 10:20:21 UTC
cockpit-0.27-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cockpit-0.27-2.fc21

Comment 18 Fedora Update System 2014-11-22 20:21:56 UTC
Package cockpit-0.27-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cockpit-0.27-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15612/cockpit-0.27-2.fc21
then log in and leave karma (feedback).

Comment 19 Andreas Nilsson 2014-11-24 20:18:50 UTC
(In reply to Stef Walter from comment #15)
> Well it's being built as a Fedora 21 update now. 
> 
> So if there is additional things to change I can do a follow up build. And I
> really do think the 'SERVER' text should change, especially once logged in,
> since there's no mention of 'Fedora' anywhere.

I have it saying "Fedora Server" now
https://github.com/andreasn/cockpit/tree/new-fedora-21-branding

Comment 20 Andreas Nilsson 2014-11-24 20:19:50 UTC
Created attachment 960917 [details]
screenshot of top bar branding v3

Updated top bar screenshot

Comment 21 Andreas Nilsson 2014-11-24 21:15:36 UTC
Adding Ryan to cc for feedback on the branding.

Comment 22 Fedora Update System 2014-11-25 03:06:42 UTC
cockpit-0.27-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-12-05 17:14:51 UTC
cockpit-0.27-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cockpit-0.27-3.fc21

Comment 24 Fedora Update System 2015-02-15 13:56:53 UTC
cockpit-0.27-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Stef Walter 2015-05-28 03:32:08 UTC
The design work here was removed from Cockpit. It was challenged based on trademark grounds. See bug #1223866.


Note You need to log in before you can comment on or make changes to this bug.